- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::State Struct Reference

the state of LotusGraph More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
int | m_actualSheetId
| the actual sheet id More...
std::multimap< int, shared_ptr< Zone > > | m_sheetIdZoneMap
| a map sheetid to zone More...
shared_ptr< Zone > | m_actualZone
| a pointer to the actual zone More...

## Detailed Description

the state of LotusGraph

## Constructor & Destructor Documentation

LotusGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int LotusGraphInternal::State::m_actualSheetId

the actual sheet id

shared_ptr<Zone> LotusGraphInternal::State::m_actualZone

a pointer to the actual zone

long LotusGraphInternal::State::m_eof

the last file position

std::multimap<int, shared_ptr<Zone> > LotusGraphInternal::State::m_sheetIdZoneMap

a map sheetid to zone

int LotusGraphInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- LotusGraph.cpp